Public Member Functions | Data Fields

# AirportResolverObject Struct Reference

Resolver object for airports. More...

Inheritance diagram for AirportResolverObject:

## Public Member Functions
| AirportResolverObject (TileIndex tile, Station *st, byte airport_id, byte layout, CallbackID callback=CBID_NO_CALLBACK, uint32 callback_param1=0, uint32 callback_param2=0)
| Constructor of the airport resolver.
ScopeResolver * | GetScope (VarSpriteGroupScope scope=VSG_SCOPE_SELF, byte relative=0)
| Get a resolver for the scope.
const SpriteGroup * | ResolveReal (const RealSpriteGroup *group) const
| Get the real sprites of the grf.
## Data Fields
AirportScopeResolver | airport_scope

## Detailed Description

Resolver object for airports.

Definition at line 35 of file newgrf_airport.cpp.

## Constructor & Destructor Documentation

AirportResolverObject::AirportResolverObject | ( | TileIndex | tile,
|  | Station * | st,
|  | byte | airport_id,
|  | byte | layout,
|  | CallbackID | callback = `CBID_NO_CALLBACK`,
|  | uint32 | param1 = `0`,
|  | uint32 | param2 = `0` |
| ) |  |  |

Constructor of the airport resolver.

Parameters:

  | tile | Tile for the callback, only valid for airporttile callbacks.
  | st | Station of the airport for which the callback is run, or `NULL` for build gui.
  | airport_id | Type of airport for which the callback is run.
  | layout | Layout of the airport to build.
  | callback | Callback ID.
  | param1 | First parameter (var 10) of the callback.
  | param2 | Second parameter (var 18) of the callback.

Definition at line 236 of file newgrf_airport.cpp.

## Member Function Documentation

ScopeResolver* AirportResolverObject::GetScope | ( | VarSpriteGroupScope | scope = `VSG_SCOPE_SELF`,
|  | byte | relative = `0` |
| ) |  |  | `[inline, virtual]`

Get a resolver for the scope.

Parameters:

  | scope | Scope to return.
  | relative | Additional parameter for VSG_SCOPE_RELATIVE.

Returns:
  The resolver for the requested scope.

Reimplemented from ResolverObject.

Definition at line 41 of file newgrf_airport.cpp.

References VSG_SCOPE_SELF.

const SpriteGroup * AirportResolverObject::ResolveReal | ( | const RealSpriteGroup * | group | ) | const`[virtual]`

Get the real sprites of the grf.

Parameters:

  | group | Group to get.

Returns:
  The available sprite group.

Reimplemented from ResolverObject.

Definition at line 189 of file newgrf_airport.cpp.

References RealSpriteGroup::loaded, RealSpriteGroup::loading, RealSpriteGroup::num_loaded, and RealSpriteGroup::num_loading.

The documentation for this struct was generated from the following file:

- src/newgrf_airport.cpp